---
title: "Fetch CURP scraping results"
url: "https://developer.incode.com/api-reference/api-fetch-curp-v3/"
section: "api-reference"
group: "API validations"
version: "v1.1"
status: "live"
endpoint: "GET /api/fetch/curp/v3"
---
# Fetch CURP scraping results

`GET /api/fetch/curp/v3`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetch the results from [/api/validate/curp/v3](#/API%20Validations/validateCurp3). The recommended wait time is 25 secs and retrying every 5 secs after that.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `idResults` | query | string | yes |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `get_version` | integer (int64) |  |  |
| `scrapingStatus` | string |  | - IN_PROGRESS: Service hasn't finished and should retry in 5 seconds. - FINISHED: Service finished and we got a result. Either a success or an error, such as curp not found. - ERROR: Service had an unhandled error, a new attempt is recommended. Enum: `IN_PROGRESS`, `FINISHED`, `ERROR` |
| `success` | boolean |  |  |
| `result` | string |  | - success: Call finished and data was validated successfully. - error: Invalid curp or data, exact details returned by the website can be found in the resultDetails field. - timeout: Elements needed for scrapping were never found, isolated network issue, website down or website changed. - maintenance: Elements indicating that the website is under maintenance have been found. - unhandledError: Unhandled error occured during scrapping. |
| `resultDetails` | string |  |  |
| `screenshotUrl` | string |  |  |
| `curp` | string |  |  |
| `nombre` | string |  |  |
| `primerApellido` | string |  |  |
| `segundoApellido` | string |  |  |
| `sexo` | string |  |  |
| `nacionalidad` | string |  |  |
| `entidadNacimiento` | string |  |  |
| `documentoProbatorio` | string |  |  |
| `datosDocumentoProbatorio` | object |  | - municipioRegistro: String. - entidadRegistro: String. - numeroActa: Integer. - anioRegistro: Integer. |
| `curpHistoricas` | string |  |  |
| `statusCurp` | string |  |  |
| `transactionId` | string |  |  |
| `codigoRespuestaCCB` | string |  |  |
| `descripcionRespuestaCCB` | string |  |  |
| `codigoRespuestaRENAPO` | string |  |  |
| `descripcionRespuestaRENAPO` | string |  |  |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/api/fetch/curp/v3 \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/api/fetch/curp/v3", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/api/fetch/curp/v3", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/api/fetch/curp/v3"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
